%define module_name	rt2860
%define module_release	alt1
%define module_version	1.8.0.0

%define kversion	2.6.25
%define krelease	alt8.M41.4
%define flavour		std-def

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132633.8.M41.4

Summary: Kernel module for Ralink rt2860 chipset

License: Distributable
Group: System/Kernel and hardware
Url: http://www.ralinktech.com/ralink/Home/Support/Linux.html

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux

BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
This is a driver for the Ralink RT2860 802.11 b/g/n chip.

These are modules for ALT Linux system.

%prep
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%__make CC=gcc-$GCC_VERSION LINUX_SRC=%_usrsrc/linux-%kversion-%flavour

%install
install -m644 -D os/linux/rt2860sta.ko %buildroot/%module_dir/extra/rt2860sta.ko

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Fri Dec 05 2008 Michail Yakushin <silicium@altlinux.ru> 1.8.0.0-alt1.132633.8.M41.4
- Build for kernel-image-std-def-2.6.25-alt8.M41.4.

* Sun Oct 19 2008 Alexander Myltsev <avm@altlinux.ru> 1.8.0.0-alt1
- New version.

* Thu Sep 04 2008 Alexander Myltsev <avm@altlinux.ru> 1.7.0.0-alt1
- Initial build for ALT Linux.

